Class | ActiveMerchant::Billing::ViaklixGateway
In: | lib/active_merchant/billing/gateways/viaklix.rb
Parent: | Gateway

### Methods

credit new purchase

### Constants

TEST_URL | = | 'https://demo.viaklix.com/process.asp'
LIVE_URL | = | 'https://www.viaklix.com/process.asp'
APPROVED | = | '0'

### Public Class methods

new(options = {})

Initialize the Gateway

The gateway requires that a valid login and password be passed in the `options` hash.

#### Options

- `:login` — Merchant ID
- `:password` — PIN
- `:user` — Specify a subuser of the account (optional)
- `:test => true or false` — Force test transactions

### Public Instance methods

credit(money, creditcard, options = {})

Make a credit to a card (Void can only be done from the virtual terminal) Viaklix does not support credits by reference. You must pass in the credit card

purchase(money, creditcard, options = {})

Make a purchase

[Validate]